diff --git a/game/client/src/main/java/net/minecraft/client/MinecraftApplet.java b/game/client/src/main/java/net/minecraft/client/MinecraftApplet.java
index 3836593ca..7e65598c4 100644
--- a/game/client/src/main/java/net/minecraft/client/MinecraftApplet.java
+++ b/game/client/src/main/java/net/minecraft/client/MinecraftApplet.java
@@ -2,7 +2,7 @@ package net.minecraft.client;
 
 import java.applet.Applet;
 
-@SuppressWarnings("serial")
+@SuppressWarnings({"serial"})
 public class MinecraftApplet extends Applet {
 	
 	public MinecraftApplet() {
diff --git a/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java b/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java
index 456ce584e..fb07bd306 100644
--- a/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java
+++ b/game/client/src/main/java/net/minecraft/client/world/chunk/provider/ChunkProviderDynamic.java
@@ -87,7 +87,7 @@ public class ChunkProviderDynamic implements IChunkProvider {
             this.chunkMap.put(new ChunkPos(chunkPos), chunk);
             chunk.checkForLightGaps();
             chunk.onLoad();
-            if (chunk.isTerrainPopulated && isChunkLoaded(chunkPos.x + 1, chunkPos.z + 1) && isChunkLoaded(chunkPos.x, chunkPos.z + 1) && isChunkLoaded(chunkPos.x + 1, chunkPos.z)) {
+            if (!chunk.isTerrainPopulated && isChunkLoaded(chunkPos.x + 1, chunkPos.z + 1) && isChunkLoaded(chunkPos.x, chunkPos.z + 1) && isChunkLoaded(chunkPos.x + 1, chunkPos.z)) {
                 populate(this, chunkPos.x, chunkPos.z);
             }
             if (isChunkLoaded(chunkPos.x - 1, chunkPos.z) && !provideChunk(chunkPos.x - 1, chunkPos.z).isTerrainPopulated && isChunkLoaded(chunkPos.x - 1, chunkPos.z + 1) && isChunkLoaded(chunkPos.x, chunkPos.z + 1) && isChunkLoaded(chunkPos.x - 1, chunkPos.z)) {
diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicActivator.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicActivator.java
index 542e775ad..225082aa5 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicActivator.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicActivator.java
@@ -61,7 +61,7 @@ public class BlockLogicActivator
                 }
             } else {
                 final @NotNull Item item = itemStack.getItem();
-                item.onUseByActivator(itemStack, activator, world, random, tilePos.x, tilePos.y, tilePos.z, px, py, pz, direction);
+                item.onUseByActivator(itemStack, world, activator, random, tilePos, direction, px, py, pz);
                 activator.nullDeadItems();
                 world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, tilePos.x, tilePos.y, tilePos.z, "tile.activator.use", 1, 1);
                 world.playBlockEvent(tilePos, LevelListener.EVENT_DISPENSER_PARTICLES, direction.getId());
diff --git a/game/core/src/main/java/net/minecraft/core/block/BlockLogicFenceThin.java b/game/core/src/main/java/net/minecraft/core/block/BlockLogicFenceThin.java
index 0bd43e1b3..643aaa660 100644
--- a/game/core/src/main/java/net/minecraft/core/block/BlockLogicFenceThin.java
+++ b/game/core/src/main/java/net/minecraft/core/block/BlockLogicFenceThin.java
@@ -43,35 +43,35 @@ public abstract class BlockLogicFenceThin
     }
 
     @Override
-    public AABB getBlockBoundsFromState(final WorldSource world, final int x, final int y, final int z) {
-        final boolean connectEast = this.canConnectTo(world, x, y, z, Side.EAST);
-        final boolean connectWest = this.canConnectTo(world, x, y, z, Side.WEST);
-        final boolean connectSouth = this.canConnectTo(world, x, y, z, Side.SOUTH);
-        final boolean connectNorth = this.canConnectTo(world, x, y, z, Side.NORTH);
+    public @NotNull AABB getBoundsFromState(final @NotNull WorldSource source, final @NotNull TilePos tilePos) {
+        final boolean connectEast = this.canConnectTo(source, tilePos, Side.EAST);
+        final boolean connectWest = this.canConnectTo(source, tilePos, Side.WEST);
+        final boolean connectSouth = this.canConnectTo(source, tilePos, Side.SOUTH);
+        final boolean connectNorth = this.canConnectTo(source, tilePos, Side.NORTH);
         return AABB.fromPool((connectWest ? 0.0f : 0.375f), 0, (connectNorth ? 0.0f : 0.375f), 1 - (connectEast ? 0.0f : 0.375f), 1, 1 - (connectSouth ? 0.0f : 0.375f));
     }
 
     @Override
-    public void getCollidingBoundingBoxes(final World world, final int x, final int y, final int z, final AABB aabb, final @NotNull List<@NotNull AABB> aabbList) {
-        final boolean connectEast = this.canConnectTo(world, x, y, z, Side.EAST);
-        final boolean connectWest = this.canConnectTo(world, x, y, z, Side.WEST);
-        final boolean connectSouth = this.canConnectTo(world, x, y, z, Side.SOUTH);
-        final boolean connectNorth = this.canConnectTo(world, x, y, z, Side.NORTH);
+    public void getCollisionAABBs(final @NotNull World world, final @NotNull TilePos tilePos, final @NotNull AABB aabb, final @NotNull List<@NotNull AABB> aabbList) {
+        final boolean connectEast = this.canConnectTo(world, tilePos, Side.EAST);
+        final boolean connectWest = this.canConnectTo(world, tilePos, Side.WEST);
+        final boolean connectSouth = this.canConnectTo(world, tilePos, Side.SOUTH);
+        final boolean connectNorth = this.canConnectTo(world, tilePos, Side.NORTH);
         final double thickness = 0.5 - 0.375;
         if (connectEast) {
-            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0.5 - thickness, 1, 1, 0.5 + thickness).move(x, y, z), aabbList);
+            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0.5 - thickness, 1, 1, 0.5 + thickness).move(tilePos), aabbList);
         }
         if (connectWest) {
-            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0, 0, 0.5 - thickness, 0.5 + thickness, 1, 0.5 + thickness).move(x, y, z), aabbList);
+            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0, 0, 0.5 - thickness, 0.5 + thickness, 1, 0.5 + thickness).move(tilePos), aabbList);
         }
         if (connectSouth) {
-            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0.5 - thickness, 0.5 + thickness, 1, 1).move(x, y, z), aabbList);
+            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0.5 - thickness, 0.5 + thickness, 1, 1).move(tilePos), aabbList);
         }
         if (connectNorth) {
-            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0, 0.5 + thickness, 1, 0.5 + thickness).move(x, y, z), aabbList);
+            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0, 0.5 + thickness, 1, 0.5 + thickness).move(tilePos), aabbList);
         }
         if (!connectEast && !connectWest && !connectSouth && !connectNorth) {
-            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0.5 - thickness, 0.5 + thickness, 1, 0.5 + thickness).move(x, y, z), aabbList);
+            this.addIntersectingBoundingBox(aabb, AABB.fromPool(0.5 - thickness, 0, 0.5 - thickness, 0.5 + thickness, 1, 0.5 + thickness).move(tilePos), aabbList);
         }
     }
 
